DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS
API·REFERENCE·RECORDS·CREATE·GENERATED

Create records

POST
/tables/{tableId}/records
SCOPE:tables:write

Create records

Authentication

Requires API key with tables:write scope.

Path parameters

NameTypeDescription
tableIdUUIDPath parameter.

Request

{
  "records": [
    {
      "fields": {
        "example_key": null
      }
    }
  ]
}

Response — 201 Created

{
  "records": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "fields": {
        "example_key": null
      },
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Errors

StatusCodeWhen
400bad_requestValidation failed; see details.fields.
401unauthorizedMissing or invalid API key.
403forbiddenAPI key lacks required scope.
404not_foundResource not found.
429rate_limitedToken bucket exhausted.

Code samples

curl https://api.onnie.ai/api/public/v1/tables/00000000-0000-0000-0000-000000000000/records \
  -X POST \
  -H 'Authorization: Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2' \
  -H 'Content-Type: application/json' \
  --data '{"records":[{"fields":{"example_key":null}}]}'
const response = await fetch('/tables/00000000-0000-0000-0000-000000000000/records', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  "records": [
    {
      "fields": {
        "example_key": null
      }
    }
  ]
}),
})
const data = await response.json()
{
  "server": "onnie",
  "name": "createRecords",
  "description": "POST /tables/{tableId}/records"
}